Index: chan_local.c
===================================================================
--- chan_local.c	(revision 44475)
+++ chan_local.c	(working copy)
@@ -262,7 +262,17 @@
 
 static int local_fixup(struct ast_channel *oldchan, struct ast_channel *newchan)
 {
-	struct local_pvt *p = newchan->tech_pvt;
+	struct local_pvt *p;
+
+	if (!newchan || !newchan->tech_pvt) {
+		if (!newchan)
+			ast_log(LOG_WARNING, "No new channel! Fixup of %s failed.\n", oldchan->name);
+		else
+			ast_log(LOG_WARNING, "No tech_pvt! Fixup of %s failed.\n", oldchan->name);
+		return -1;
+	}
+		
+	p = newchan->tech_pvt;
 	ast_mutex_lock(&p->lock);
 
 	if ((p->owner != oldchan) && (p->chan != oldchan)) {
